#!/bin/bash
set -eu

#Some cleanup
rm -rf install src
mkdir install

#Download latest version
#svn co --username gmsh --password gmsh https://geuz.org/svn/gmsh/trunk src
git clone http://gitlab.onelab.info/gmsh/gmsh.git src
cd src
git pull
cd ..

#Configure
cd install
cmake ../src -DCMAKE_INSTALL_PREFIX="$ISSM_DIR/externalpackages/gmsh/install" -DENABLE_MPI=1

#Compile and install
if [ $# -eq 0 ]; then
	make
else
	make -j $1
fi
make install
